<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.bonus.zlpt</groupId>
        <artifactId>zlpt</artifactId>
        <version>3.6.3</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <modules>
        <module>zlpt-system</module>
        <module>zlpt-gen</module>
        <module>zlpt-job</module>
        <module>zlpt-file</module>
        <module>zlpt-home</module>
        <module>zlpt-bigScreen</module>
        <module>zlpt-order</module>
        <module>zlpt-equip</module>
        <module>zlpt-company</module>
    </modules>

    <artifactId>zlpt-modules</artifactId>
    <packaging>pom</packaging>

    <description>
        zlpt-modules业务模块
    </description>
    <dependencies>
        <dependency>
            <groupId>com.bonus.zlpt</groupId>
            <artifactId>zlpt-api-system</artifactId>
        </dependency>
        <!-- nacos 服务发现-->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>
        <!-- nacos 配置中心-->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>

        <!-- dynamic-datasource 多数据源-->
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>dynamic-datasource-spring-boot-starter</artifactId>
            <version>3.5.2</version>
        </dependency>

        <!--驱动配置-->
        <dependency>
            <groupId>com.mysql</groupId>
            <artifactId>mysql-connector-j</artifactId>
        </dependency>

        <!--数据库连接池配置-->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid-spring-boot-starter</artifactId>
            <version>1.2.16</version>
        </dependency>
    </dependencies>
</project>
